Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jain.protocol.ss7.oam.mtp3
Class Mtp3StatisticNotification

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--javax.management.Notification
                  |
                  +--jain.protocol.ss7.oam.OamStatisticNotification
                        |
                        +--jain.protocol.ss7.oam.mtp3.Mtp3StatisticNotification

public class Mtp3StatisticNotification
extends OamStatisticNotification

An Mtp3StatisticNotification is a Notification emitted by an Mtp3ManagedObjectMBean containing the value of a particular statistic.

This Mtp3StatisticNotification should be sent to all applications that have registered with the Mtp3 MBean as a javax.management.NotificationListener using a filter 'f', where f.isNotificationEnabled(this.getType()) == true.

The Notification class extends the java.util.EventObject base class and defines the minimal information contained in a notification. It contains the following fields:

the notification type, which is a string expressed in a dot notation similar to Java properties.

a sequence number, which is a serial number identifying a particular instance of notification in the context of the notification source

a time stamp, indicating when the notification was generated

a message contained in a string, which could be the explanation of the notification for displaying to a user

userData is used for whatever other data the notification source wishes to communicate to its consumers

Notification sources should use the notification type to indicate the nature of the event to their consumers. When additional information needs to be transmitted to consumers, the source may place it in the message or user data fields.

Inheritance hierarchy for JAIN OAM Notifications

Version:
  1.1
Author:
  Colm Hayden
See Also:
  Serialized Form

Field Summary
`static int` | `MTP3_ADJ_SP_INACCESSIBLE` A MTP3 Statistic Type constant: Adjacent SP inaccessible.
`static int` | `MTP3_DUR_ADJ_SP_INACCESSIBLE` A MTP3 Statistic Type constant: Duration of adjacent SP inaccessible.
`static int` | `MTP3_DUR_LINK_IN_SERV` A MTP3 Statistic Type constant: Duration of link in the In-service state.
`static int` | `MTP3_DUR_SL_UNAVAILABILITY` A MTP3 Statistic Type constant: Duration of SL unavailability (for any reason).
`static int` | `MTP3_DUR_UNAVAILABILITY` A MTP3 Statistic Type constant: Duration of unavailability of a routeset to a given destination or set of destinations.
`static int` | `MTP3_MSU_DISCARD_ROUTE_DATA_ERR` A MTP3 Statistic Type constant: MSU discarded due to a routing data error.
`static int` | `MTP3_NUM_SIG_UNITS_RECEIVED_ERR` A MTP3 Statistic Type constant: Number of signal units received in error.
`static int` | `MTP3_SL_FAILURE` A MTP3 Statistic Type constant: SL failure - All reasons.
`static int` | `MTP3_UNAVAILABILITY_ROUTE_SET` A MTP3 Statistic Type constant: Unavailability of routeset to a given destination or set of destinations.

Fields inherited from class jain.protocol.ss7.oam.OamStatisticNotification
`CATEGORY_CONFIGURATION, CATEGORY_FAULT, CATEGORY_PERFORMANCE`

Constructor Summary
`Mtp3StatisticNotification(OamManagedObjectMBean source, long sequenceNumber, int category, int statisticType, int statisticValue)` Constructs a new `Mtp3StatisticNotification`.

Method Summary
`java.lang.String` | `toString()` Returns a string representation (with details) of classes which extend this class.

Methods inherited from class jain.protocol.ss7.oam.OamStatisticNotification
`getCategory, getStatisticType, getStatisticValue, setCategory, setStatisticValue`

Methods inherited from class javax.management.Notification
`getMessage, getSequenceNumber, getSource, getTimeStamp, getType, getUserData, setSource, setUserData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MTP3_DUR_LINK_IN_SERV

    public static final int MTP3_DUR_LINK_IN_SERV

  A MTP3 Statistic Type constant: Duration of link in the In-service state.

  Measuring: Signal Link Points and Performance
  Collected For: LinkMBean
  ITU Q.752 Measurement Number: 1.1
  Units: seconds / LinkMBean
  Notification Type: "jain.protocol.ss7.oam.mtp3.statistic.dur_link_in_serv".

### MTP3_SL_FAILURE

    public static final int MTP3_SL_FAILURE

  A MTP3 Statistic Type constant: SL failure - All reasons.

  Measuring: Signal Link Points and Performance
  Collected For: LinkMBean
  ITU Q.752 Measurement Number: 1.2
  Units: Notifications / LinkMBean
  Notification Type: "jain.protocol.ss7.oam.mtp3.statistic.sl_failure".

### MTP3_NUM_SIG_UNITS_RECEIVED_ERR

    public static final int MTP3_NUM_SIG_UNITS_RECEIVED_ERR

  A MTP3 Statistic Type constant: Number of signal units received in error.

  Measuring: Signal Link Points and Performance
  Collected For: LinkMBean
  ITU Q.752 Measurement Number: 1.8
  Units: Notifications / LinkMBean
  Notification Type: "jain.protocol.ss7.oam.mtp3.statistic.num_sig_units_received_err".

### MTP3_DUR_SL_UNAVAILABILITY

    public static final int MTP3_DUR_SL_UNAVAILABILITY

  A MTP3 Statistic Type constant: Duration of SL unavailability (for any reason).

  Measuring: Signalling Link available
  Collected For: LinkMBean
  ITU Q.752 Measurement Number: 2.1
  Units: seconds / LinkMBean
  Notification Type: "jain.protocol.ss7.oam.mtp3.statistic.dur_sl_unavailability".

### MTP3_UNAVAILABILITY_ROUTE_SET

    public static final int MTP3_UNAVAILABILITY_ROUTE_SET

  A MTP3 Statistic Type constant: Unavailability of routeset to a given destination or set of destinations.

  Measuring: Signalling linkset and routeset availability
  Collected For: SignallingPointMBean
  ITU Q.752 Measurement Number: 4.9
  Units: Notifications / SignallingPointMBean
  Notification Type: "jain.protocol.ss7.oam.mtp3.statistic.unavailability_route_set".

### MTP3_DUR_UNAVAILABILITY

    public static final int MTP3_DUR_UNAVAILABILITY

  A MTP3 Statistic Type constant: Duration of unavailability of a routeset to a given destination or set of destinations.

  Measuring: Signalling linkset and routeset availability
  Collected For: SignallingPointMBean
  ITU Q.752 Measurement Number: 4.10
  Units: seconds / SignallingPointMBean
  Notification Type: "jain.protocol.ss7.oam.mtp3.statistic.dur_unavailability".

### MTP3_ADJ_SP_INACCESSIBLE

    public static final int MTP3_ADJ_SP_INACCESSIBLE

  A MTP3 Statistic Type constant: Adjacent SP inaccessible.

  Measuring: Signalling Point Status
  Collected For: SignallingPointMBean
  ITU Q.752 Measurement Number: 5.1
  Units: Notification / SignallingPointMBean
  Notification Type: "jain.protocol.ss7.oam.mtp3.statistic.adj_sp_inaccessible".

### MTP3_DUR_ADJ_SP_INACCESSIBLE

    public static final int MTP3_DUR_ADJ_SP_INACCESSIBLE

  A MTP3 Statistic Type constant: Duration of adjacent SP inaccessible.

  Measuring: Signalling Point Status
  Collected For: SignallingPointMBean
  ITU Q.752 Measurement Number: 5.2
  Units: seconds / SignallingPointMBean
  Notification Type: "jain.protocol.ss7.oam.mtp3.statistic.dur_adj_sp_inaccessible".

### MTP3_MSU_DISCARD_ROUTE_DATA_ERR

    public static final int MTP3_MSU_DISCARD_ROUTE_DATA_ERR

  A MTP3 Statistic Type constant: MSU discarded due to a routing data error.

  Measuring: Signalling Point Status
  Collected For: SignallingPointMBean
  ITU Q.752 Measurement Number: 5.5
  Units: MSUs / SignallingPointMBean
  Notification Type: "jain.protocol.ss7.oam.mtp3.statistic.msu_discard_route_data_err".

Constructor Detail

### Mtp3StatisticNotification

    public Mtp3StatisticNotification(OamManagedObjectMBean source,
                                     long sequenceNumber,
                                     int category,
                                     int statisticType,
                                     int statisticValue)
                              throws java.lang.IllegalArgumentException

  Constructs a new `Mtp3StatisticNotification`.
  Parameters:
    `source` - The MTP3 Layer Manager that emitted this Notification.
    `sequenceNumberThe` - notification sequence number within the source object.
    `category` - The priority of this Mtp3StatisticNotification. This may be any of the inherited types:

    - CATEGORY_FAULT
    - CATEGORY_CONFIGURATION
    - CATEGORY_PERFORMANCE
    `statisticType` - The type of this statistic. This may be any one of the Statistic Type constants defined in this class.
    `statisticValue` - The statistic Value
  Throws:
    java.lang.IllegalArgumentException - - If any of the supplied parameters are invalid

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representation (with details) of classes which extend this class. Over rides standard JAVA toString method.
  Overrides:
    toString in class java.util.EventObject

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

11 August 2000

Copyright - 2000 Sun Microsystems